> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Default Products

Use this endpoint to browse the default product taxonomy. Default products are pre-configured templates with standard material compositions that you can use as a starting point when [creating products](/api-reference/pic/products/create).

### Request body params

| Name              | Type            | Description                                                                                           |
| :---------------- | :-------------- | :---------------------------------------------------------------------------------------------------- |
| `textSearch`      | `string`        | Search default products by name.                                                                      |
| `ids`             | `Array<string>` | Filter by specific taxonomy IDs.                                                                      |
| `productSize`     | `Array<string>` | Filter by product size.                                                                               |
| `productCategory` | `Array<string>` | Filter by product category.                                                                           |
| `from`            | `number`        | **\[DEFAULT: 0]** Pagination start index.                                                             |
| `size`            | `number`        | **\[DEFAULT: 50]** Number of results to return (max 50).                                              |
| `sort`            | `object`        | Sorting configuration `{ field: string, order: "asc" \| "desc" }`. Default sort is by name ascending. |

### Implementation Details

* **Pagination**: Maximum page size is capped at 50 results.
* **Active only**: Only active taxonomy entries are returned.
* **Usage**: Use the `taxonomyId` from the response when creating a product to inherit the default material composition.


## OpenAPI

````yaml api-reference/openapi/french-eco.json POST /products/default
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /products/default:
    post:
      summary: Get Default Products
      operationId: GetProductTaxonomy
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CorpRepApiProductTaxonomyRequest'
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CorpReportApiPaginatedResponseCorpRepProductTaxonomyEntity
components:
  schemas:
    CorpRepApiProductTaxonomyRequest:
      properties:
        from:
          type: number
          format: double
          nullable: true
        size:
          type: number
          format: double
          nullable: true
        ids:
          items:
            type: string
          type: array
          nullable: true
        sort:
          $ref: '#/components/schemas/SortType'
        textSearch:
          type: string
          nullable: true
        productSize:
          items:
            type: string
          type: array
          nullable: true
        productCategory:
          items:
            type: string
          type: array
          nullable: true
      type: object
      additionalProperties: false
    CorpReportApiPaginatedResponseCorpRepProductTaxonomyEntity:
      description: API Search responses
      properties:
        from:
          type: number
          format: double
        size:
          type: number
          format: double
        total:
          type: number
          format: double
        results:
          items:
            $ref: '#/components/schemas/CorpRepProductTaxonomyEntity'
          type: array
      required:
        - from
        - results
        - size
        - total
      type: object
      additionalProperties: false
    SortType:
      description: API Search requests
      properties:
        field:
          type: string
        order:
          type: string
          enum:
            - asc
            - desc
      required:
        - field
        - order
      type: object
      additionalProperties: false
    CorpRepProductTaxonomyEntity:
      description: >-
        This interface was referenced by `Exports`'s JSON-Schema via the
        `definition` "corpRepProductTaxonomyEntity".
      properties:
        _id:
          type: string
        _rev:
          type: string
          nullable: true
        isOther:
          type: boolean
          description: >-
            indicates that product without BOM materials, user should specify
            material manually
          nullable: true
        isDefaultSize:
          type: boolean
          nullable: true
        default:
          type: boolean
          nullable: true
        version:
          type: number
          format: double
        name:
          type: string
        materialName:
          type: string
        size:
          type: string
        productType:
          type: string
        pmCategory:
          type: string
          nullable: true
        productCategoryComplete:
          type: string
          nullable: true
        productCategory:
          type: string
        tier1Calculation:
          type: string
          nullable: true
        weight:
          type: number
          format: double
        modelNumber:
          type: string
          description: Client-provided ID(s) in a single string. Delimiter unspecified.
          nullable: true
        dataSource:
          type: string
        active:
          type: boolean
          nullable: true
        type:
          type: string
        components:
          items:
            $ref: '#/components/schemas/ComponentTaxonomyRef'
          type: array
          description: Packaging
          nullable: true
        packaging:
          items:
            $ref: '#/components/schemas/PackagingTaxonomyRef'
          type: array
          description: Packaging
          nullable: true
        materials:
          items:
            $ref: '#/components/schemas/MaterialTaxonomyRef'
          type: array
          description: eve materials
        createdOn:
          type: number
          format: double
        modifiedOn:
          type: number
          format: double
      required:
        - _id
        - createdOn
        - dataSource
        - materialName
        - materials
        - modifiedOn
        - name
        - productCategory
        - productType
        - size
        - type
        - version
        - weight
      type: object
      additionalProperties: false
    ComponentTaxonomyRef:
      properties:
        name:
          type: string
        componentId:
          type: string
        unit:
          type: number
          format: double
        weightInformation:
          $ref: '#/components/schemas/CorpRepWeightInformation'
        isMsiComponent:
          type: boolean
          nullable: true
        isOutdated:
          type: boolean
          nullable: true
        dataSource:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        impacts:
          $ref: '#/components/schemas/CorpRepMaterialImpacts'
      required:
        - componentId
        - name
        - unit
        - weightInformation
      type: object
      additionalProperties: false
    PackagingTaxonomyRef:
      properties:
        name:
          type: string
          nullable: true
        packagingId:
          type: string
        amount:
          type: number
          format: double
        weightInformation:
          $ref: '#/components/schemas/CorpRepWeightInformation'
        isMsiPackaging:
          type: boolean
          nullable: true
        isOutdated:
          type: boolean
          nullable: true
        code:
          type: string
          nullable: true
        dataSource:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        impacts:
          $ref: '#/components/schemas/CorpRepMaterialImpacts'
      required:
        - amount
        - packagingId
      type: object
      additionalProperties: false
    MaterialTaxonomyRef:
      properties:
        name:
          type: string
        materialId:
          type: string
        netUse:
          type: number
          format: double
        composition:
          type: number
          format: double
      required:
        - composition
        - materialId
        - name
        - netUse
      type: object
      additionalProperties: false
    CorpRepWeightInformation:
      description: corpRep weight information
      properties:
        convertedToKg:
          type: number
          format: double
        weight:
          type: number
          format: double
        unit:
          $ref: '#/components/schemas/MaterialMeasureUnit'
        isPrimaryData:
          type: boolean
          description: >-
            This field is used only in product weight, Indicates if the weight
            information is primary data or is inferred from product category and
            size
          nullable: true
      required:
        - convertedToKg
        - unit
        - weight
      type: object
      additionalProperties: false
    CorpRepMaterialImpacts:
      description: corpRep Material Impacts
      properties:
        totalMaterialLibrary:
          type: number
          format: double
          nullable: true
        tier4Impact:
          type: number
          format: double
        tier2and3Impact:
          type: number
          format: double
        totalTierImpact:
          type: number
          format: double
          nullable: true
        uncertainty:
          properties:
            lower:
              type: number
              format: double
            upper:
              type: number
              format: double
          type: object
          nullable: true
      required:
        - tier2and3Impact
        - tier4Impact
      type: object
      additionalProperties:
        additionalProperties: true
    MaterialMeasureUnit:
      enum:
        - kilograms
        - grams
        - milligram
        - pound
        - ounce
      type: string
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````